Skip to content

Returns one Worker-to-Site/Calendar chain and paged immutable history.

GET
/api/workspace/work-schedule/assignments/workers/{workerId}
curl --request GET \
--url 'https://example.com/api/workspace/work-schedule/assignments/workers/example?page=1&pageSize=25' \
--header 'Authorization: Bearer <token>'
workerId
required
string
effectiveOnLocalDate
string format: date
page
integer format: int32
default: 1
pageSize
integer format: int32
default: 25
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Effective state and paged immutable history for one assignment chain.

object
SubjectKind
string
nullable
Subject

Field-safe reference to an operational catalog item.

object
Id
string
nullable
DisplayName
string
nullable
Number
string
nullable
EffectiveOnLocalDate
string format: date
EffectiveAssignment

One append-only assignment history row.

object
AssignmentId
string
nullable
OperationKind
string
nullable
SubjectKind
string
nullable
SubjectId
string
nullable
Site

Field-safe reference to an operational catalog item.

object
Id
string
nullable
DisplayName
string
nullable
Number
string
nullable
Calendar

Field-safe reference to a working calendar.

object
Id
string
nullable
Name
string
nullable
Enabled
boolean
HasPublishedRevision
boolean
InheritsSiteCalendar
boolean
EffectiveFromLocalDate
string format: date
RecordedAtUtc
string format: date-time
RecordedByUserId
string
nullable
CorrectsAssignmentId
string
nullable
ChangeReason
string
nullable
IsCorrection
boolean
IsEnd
boolean
History
Array<object>
nullable

One append-only assignment history row.

object
AssignmentId
string
nullable
OperationKind
string
nullable
SubjectKind
string
nullable
SubjectId
string
nullable
Site

Field-safe reference to an operational catalog item.

object
Id
string
nullable
DisplayName
string
nullable
Number
string
nullable
Calendar

Field-safe reference to a working calendar.

object
Id
string
nullable
Name
string
nullable
Enabled
boolean
HasPublishedRevision
boolean
InheritsSiteCalendar
boolean
EffectiveFromLocalDate
string format: date
RecordedAtUtc
string format: date-time
RecordedByUserId
string
nullable
CorrectsAssignmentId
string
nullable
ChangeReason
string
nullable
IsCorrection
boolean
IsEnd
boolean
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
ChainVersion
string
nullable
Diagnostics
Array<object>
nullable

Structured assignment diagnostic.

object
Code
string
nullable
Field
string
nullable
Actions

Server-computed actions for one assignment chain.

object
CanCreate
boolean
CanChange
boolean
CanCorrect
boolean
CanEnd
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}